https://bugs.gentoo.org/937849

--- a/src/FTContour.cpp
+++ b/src/FTContour.cpp
@@ -163,7 +163,7 @@ void FTContour::SetParity(int parity)
 }
 
 
-FTContour::FTContour(FT_Vector* contour, char* tags, unsigned int n)
+FTContour::FTContour(FT_Vector* contour, FTContour::PointTagsType tags, unsigned int n)
 {
     FTPoint prev, cur(contour[(n - 1) % n]), next(contour[0]);
     FTPoint a, b = next - cur;
--- a/src/FTContour.h
+++ b/src/FTContour.h
@@ -44,6 +44,12 @@
  */
 class FTContour
 {
+#if (FREETYPE_MAJOR * 1000 + FREETYPE_MINOR) * 1000 + FREETYPE_PATCH < 2013003
+        typedef char* PointTagsType;
+#else
+        typedef unsigned char* PointTagsType;
+#endif
+
     public:
         /**
          * Constructor
@@ -52,7 +58,7 @@ class FTContour
          * @param pointTags
          * @param numberOfPoints
          */
-        FTContour(FT_Vector* contour, char* pointTags, unsigned int numberOfPoints);
+        FTContour(FT_Vector* contour, PointTagsType pointTags, unsigned int numberOfPoints);
 
         /**
          * Destructor
--- a/src/FTVectoriser.cpp
+++ b/src/FTVectoriser.cpp
@@ -166,7 +166,7 @@ void FTVectoriser::ProcessContours()
     for(int i = 0; i < ftContourCount; ++i)
     {
         FT_Vector* pointList = &outline.points[startIndex];
-        char* tagList = &outline.tags[startIndex];
+        auto tagList = &outline.tags[startIndex];
 
         endIndex = outline.contours[i];
         contourLength =  (endIndex - startIndex) + 1;

